<?php

namespace Drupal\entity_template;

use Symfony\Component\DependencyInjection\ContainerInterface;

interface ContainerFactoryTemplateInterface {

  /**
   * Instantiates a new instance of this class.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface $container
   * @param \Drupal\entity_template\BlueprintInterface $blueprint
   * @param array $configuration
   *
   * @return static
   */
  public static function create(ContainerInterface $container, BlueprintInterface $blueprint, array $configuration = []);

}
