<?php

namespace Drupal\entity_template\Plugin\EntityTemplate\Template;

use Drupal\entity_template\BlueprintResult;

interface BlueprintTemplateInterface extends ConditionalTemplateInterface {

  /**
   * Get the blueprint.
   *
   * @return \Drupal\entity_template\BlueprintInterface
   */
  public function getBlueprint();

  /**
   * @param \Drupal\entity_template\BlueprintResult $result
   *
   * @return static
   */
  public function setBlueprintResult(BlueprintResult $result);

}
